Bug 1686679 - librados2 not installable due to rogue libcrc32.so dep
Summary: librados2 not installable due to rogue libcrc32.so dep
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph   
(Show other bugs)
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Boris Ranto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: BetaBlocker, F30BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-03-08 01:40 UTC by Adam Williamson
Modified: 2019-03-11 12:42 UTC (History)
12 users (show)

Fixed In Version: ceph-14.1.0-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-03-10 15:51:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Williamson 2019-03-08 01:40:48 UTC
In the ceph 14.1.0-1.fc30 build, an issue meant that librados2 wound up with a dependency on "libcrc32.so()(64bit)", which nothing provides, and so it is not installable. This breaks composes, because Workstation images include gnome-boxes, which has a dep chain that includes librados2 (see https://pagure.io/dusty/failed-composes/issue/1600#comment-558938 ).

It seems ceph-14.1.0-2.fc30 should fix this, but as we are frozen for F30 Beta right now, we need an update to be submitted and the update must fix a blocker or FE bug to be pushed stable. Hence I'm filing this bug. This is a clear automatic blocker: "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers , so marking as an accepted blocker for F30 Beta. We will create an update and get it pushed ASAP.

Comment 1 Fedora Update System 2019-03-08 01:44:22 UTC
ceph-14.1.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8eabb6d15c

Comment 2 Fedora Update System 2019-03-09 17:40:21 UTC
ceph-14.1.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8eabb6d15c

Comment 3 Fedora Update System 2019-03-10 15:51:48 UTC
ceph-14.1.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Lukas Ruzicka 2019-03-11 12:42:35 UTC
Now, the ceph version in the system with updates-testing switched on is 14.1.0-4 and it seems to be working fine.


Note You need to log in before you can comment on or make changes to this bug.